bitel.billing.server.card.bean

## Class CardManager

- java.lang.Object
- - bitel.billing.server.card.bean.CardManager

-     public class CardManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `activated(Card card, int type)`
    `java.lang.String` | `addCard(java.sql.Connection connection, Card card)`
    `void` | `addCardsToDealer(int dealerId, java.util.Calendar date, java.lang.String cards)`
    `void` | `addCardToContract(java.util.Calendar time, Card card, int contractId, ru.bitel.bgbilling.kernel.container.managed.ServerContext context)` Deprecated.
    `void` | `addCardToContract(java.sql.Connection con, java.util.Calendar time, Card card, int contractId)`
    `void` | `addCardToContract(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, java.sql.Connection con, java.util.Calendar time, Card card, int contractId)`
    `java.lang.String` | `checkCard(Card card)`
    `Card` | `findCard(java.lang.String userName)`
    `Card` | `findCard(java.lang.String userName, Trace tracer)`
    `java.util.List<Card>` | `getCards(java.lang.String idList)`
    `void` | `updateCardStatus(java.lang.String cards, int newStatus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CardManager

          public CardManager(java.sql.Connection con,
                             int mid)

  - ### Method Detail

    - #### findCard

          public Card findCard(java.lang.String userName)

    - #### findCard

          public Card findCard(java.lang.String userName,
                               Trace tracer)

    - #### addCard

          public java.lang.String addCard(java.sql.Connection connection,
                                          Card card)

    - #### checkCard

          public java.lang.String checkCard(Card card)

    - #### activated

          public boolean activated(Card card,
                                   int type)

    - #### addCardToContract

          @Deprecated
          public void addCardToContract(java.util.Calendar time,
                                                    Card card,
                                                    int contractId,
                                                    ru.bitel.bgbilling.kernel.container.managed.ServerContext context)

      Deprecated.

    - #### addCardToContract

          public void addCardToContract(java.sql.Connection con,
                                        java.util.Calendar time,
                                        Card card,
                                        int contractId)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addCardToContract

          public void addCardToContract(ru.bitel.bgbilling.kernel.container.managed.ServerContext context,
                                        java.sql.Connection con,
                                        java.util.Calendar time,
                                        Card card,
                                        int contractId)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getCards

          public java.util.List<Card> getCards(java.lang.String idList)

    - #### addCardsToDealer

          public void addCardsToDealer(int dealerId,
                                       java.util.Calendar date,
                                       java.lang.String cards)

    - #### updateCardStatus

          public void updateCardStatus(java.lang.String cards,
                                       int newStatus)